OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.Fence

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVFence :: MonadIO m => m Bool
- gl_NV_fence :: Bool
- gl_ALL_COMPLETED_NV :: GLenum
- gl_FENCE_CONDITION_NV :: GLenum
- gl_FENCE_STATUS_NV :: GLenum
- glDeleteFencesNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glFinishFenceNV :: MonadIO m => GLuint -> m ()
- glGenFencesNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetFenceivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glIsFenceNV :: MonadIO m => GLuint -> m GLboolean
- glSetFenceNV :: MonadIO m => GLuint -> GLenum -> m ()
- glTestFenceNV :: MonadIO m => GLuint -> m GLboolean

# Extension Support

glGetNVFence :: MonadIO m => m Bool

Is the NV_fence extension supported?

gl_NV_fence :: Bool

Is the NV_fence extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVFence` in those cases instead.

# Enums

gl_ALL_COMPLETED_NV :: GLenum

gl_FENCE_CONDITION_NV :: GLenum

gl_FENCE_STATUS_NV :: GLenum

# Functions

glDeleteFencesNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `fences` pointing to `n` elements of type `FenceNV`.
-> m () |

glFinishFenceNV

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> m () |

glGenFencesNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `fences` pointing to `n` elements of type `FenceNV`.
-> m () |

glGetFenceivNV

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> GLenum | `pname` of type `FenceParameterNameNV`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glIsFenceNV

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> m GLboolean | of type Boolean.

glSetFenceNV

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> GLenum | `condition` of type `FenceConditionNV`.
-> m () |

glTestFenceNV

Arguments

:: MonadIO m |
=> GLuint | `fence` of type `FenceNV`.
-> m GLboolean | of type Boolean.